summaryrefslogtreecommitdiffstats
path: root/system/recorder
diff options
context:
space:
mode:
author Pierre Cazenave2010-05-13 01:01:06 +0200
committer David Somero2010-05-13 01:01:06 +0200
commitc2654d092673d44b326abd9e2325bcc57bdab719 (patch)
tree29c786531599e5fa69030f45a54a36cce6ef0d3d /system/recorder
parent6695c9d8b1250d6c697e03a47aa8aac556cfc4fc (diff)
downloadslackbuilds-c2654d092673d44b326abd9e2325bcc57bdab719.tar.gz
system/recorder: Added to 13.0 repository
Diffstat (limited to 'system/recorder')
-rw-r--r--system/recorder/README7
-rw-r--r--system/recorder/doinst.sh3
-rw-r--r--system/recorder/recorder.SlackBuild61
-rw-r--r--system/recorder/recorder.info10
-rw-r--r--system/recorder/slack-desc19
5 files changed, 100 insertions, 0 deletions
diff --git a/system/recorder/README b/system/recorder/README
new file mode 100644
index 0000000000..83004d6c74
--- /dev/null
+++ b/system/recorder/README
@@ -0,0 +1,7 @@
+Recorder is a graphical frontend of cdrkit/cdrtools, cdrdao, mkisofs
+and growisofs. It aims to be simple and easy to use, free of large
+configurations and useless options, following the KISS principle and
+offering a disc burning of quality, nothing more.
+
+Optionally depends on mpg123 (in /extra) and vcdimager (available from
+SlackBuilds.org).
diff --git a/system/recorder/doinst.sh b/system/recorder/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/recorder/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/recorder/recorder.SlackBuild b/system/recorder/recorder.SlackBuild
new file mode 100644
index 0000000000..eb79c3c580
--- /dev/null
+++ b/system/recorder/recorder.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# SlackBuild script for recorder.
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=recorder
+VERSION=1.4.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING INSTALL Makefile TRANSLATORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/recorder/recorder.info b/system/recorder/recorder.info
new file mode 100644
index 0000000000..c1e7bbc594
--- /dev/null
+++ b/system/recorder/recorder.info
@@ -0,0 +1,10 @@
+PRGNAM="recorder"
+VERSION="1.4.5"
+HOMEPAGE="http://code.google.com/p/recorder/"
+DOWNLOAD="http://recorder.googlecode.com/files/recorder-1.4.5.tar.bz2"
+MD5SUM="a56caebad5ae3c1121a5b458abadf415"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/system/recorder/slack-desc b/system/recorder/slack-desc
new file mode 100644
index 0000000000..cbaed71cfc
--- /dev/null
+++ b/system/recorder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+recorder: Recorder (graphical frontend for cdrkit/cdrtools)
+recorder:
+recorder: Recorder is a graphical frontend of cdrkit/cdrtools, cdrdao,
+recorder: mkisofs and growisofs.
+recorder:
+recorder: It aims to be simple and easy to use, free of large configurations
+recorder: and useless options, following the KISS principle and offering a
+recorder: disc burning of quality, nothing more.
+recorder:
+recorder: Homepage: http://code.google.com/p/recorder/
+recorder: